API Explorer 936 endpoints

Search Warehouse Data Via Elasticsearch

GET /obp/v7.0.0/search/warehouse/QUERY

OBPv2.0.0-elasticSearchWarehouse Roles: CanSearchWarehouse Data-WarehouseOld-Style

Search warehouse data via Elastic Search.

Login is required.

CanSearchWarehouse entitlement is required to search warehouse data!

Send your email, name, project name and user_id to the admins to get access.

Elastic (search) is used in the background. See links below for syntax.

parameters:

esType - elasticsearch type

simple query:

q - plain_text_query

df - default field to search

sort - field to sort on

size - number of hits returned, default 10

from - show hits starting from

json query:

source - JSON_query_(URL-escaped)

Example usage:

GET /search/warehouse/q=findThis

or:

GET /search/warehouse/source={"query":{"query_string":{"query":"findThis"}}}

Note!!

The whole JSON query string MUST be URL-encoded:

  • For { use %7B
  • For } use %7D
  • For : use %3A
  • For " use %22

etc..

Only q, source and esType are passed to Elastic

Elastic simple query: https://www.elastic.co/guide/en/elasticsearch/reference/current/search-uri-request.html

Elastic JSON query: https://www.elastic.co/guide/en/elasticsearch/reference/current/query-filter-context.html

You can specify the esType thus: /search/warehouse/esType=type&q=a

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

QUERY:

JSON response body fields (0)
Example success response
{}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-30001: Bank not found. Please specify a valid value for BANK_ID.
  • OBP-20006: User is missing one or more roles:
  • OBP-50000: Unknown Error.
Implemented by OBPv2.0.0 elasticSearchWarehouse Originally /obp/v2.0.0/search/warehouse/QUERY